\documentclass[openany,a4paper,UTF8]{ctexart}
\usepackage{listings}
\newfontfamily\codefont{DejaVu Sans Mono}
\setmonofont{DejaVu Sans Mono}
\lstset{basicstyle=\small\codefont,frame=single,numbers=none}
\setCJKmainfont[Mapping = fullwidth-stop, % 中文空心句号映射为实心句点
  BoldFont=FZHei-B01,ItalicFont=FZKai-Z03,
  BoldItalicFont=FZFangSong-Z02]{FZNewShuSong-Z10}

\begin{document}
\thispagestyle{empty}
\noindent
{\bf 2024年网鼎杯，赛前模拟训练，杂项，misc01}

\noindent
运维监测到有web攻击，请根据日志进行分析，找到攻击信息。

\bigskip\noindent
下载附件，解压后得到 nginx\_log.txt。使用 grep 命令搜索得到：
\begin{lstlisting}
$ grep f.l.a.g nginx_log.txt
228.87.205.93 - - [11/Jul/2024:18:50:08 +0000]
"GET /home?id=-1 UNION ALL SELECT 1,2,GROUP_CONCAT(id,
'-w-d-f-l-a-g{14030b5a31e7984365c08da0ece8dd03}-',name,'-',
password), 4 FROM member HTTP/1.1" 200 1265 "-"
"Mozilla/5.0 (Windows NT 10.0; WOW64; rv:89.0)
Gecko/20100101 Firefox/89.0"
\end{lstlisting}

\noindent
所以答案为“wdflag\{14030b5a31e7984365c08da0ece8dd03\}”。

\end{document}
